Mono.Options 0.2.0.0 0.2.1.0 0.2.2.0 System.Exception Represents the error that occurs when there is an error parsing an .

Instances of this class are thrown when:

There is an exception generated converting a string to an object of type within the callback registered by (and related overloads).
could not convert a to an object of type .
An option with a value of does not have a value (usually because the start of the option was the last argument).
- Constructor
  0.2.1.0
  0.2.2.0
  To be added.
  To be added.
- Constructor
  0.2.0.0
  0.2.1.0
  0.2.2.0
  The that holds the serialized object data about the exception being thrown.
  The that contains contextual information about the source or destination.
  Initializes a new instance of the class with serialized data.
  This constructor is called during deserialization to reconstitute the exception object transmitted over a stream, e.g. from Remoting.
- Constructor
  0.2.0.0
  0.2.1.0
  0.2.2.0
  A that describes the error.
  A that contains the name of the option that caused the exception.
  Creates and initializes a new instance of the class.
  This constructor initializes the property of the new instance using , and the property of the new instance using .
- Constructor
  0.2.0.0
  0.2.1.0
  0.2.2.0
  A that describes the error.
  A that contains the name of the option that caused the exception.
  An instance of that is the cause of the current exception. If is non-, then the current Exception was raised in a catch block handling .
  Creates and initializes a new instance of the class.
  This constructor initializes the property of the new instance using , the property of the new instance using , and the property of the new instance using .
- Method
  0.2.0.0
  0.2.1.0
  0.2.2.0
  System.Void `` `` The that holds the serialized object data about the exception being thrown. The that contains contextual information about the source or destination. Adds information about the exception to the provided instance. Adds information about this exception instance to the provided , so that a new cloned instance may be properly reconstituted later.
- Property
  0.2.0.0
  0.2.1.0
  0.2.2.0
  System.String A containing the option name that caused the exception. A containing the option name that caused the exception.